use clap::{arg, command, Arg, ArgMatches};

pub fn get_args() -> ArgMatches {
    command!()
        .about("Generate json patch file for two markdown files with frontmatter")
        .arg(arg!([file] "First File").required(true))
        .arg(arg!([file2] "Second File").required(true))
        .arg(arg!(-p --pretty "Output formatted json patch").required(false))
        .arg(arg!(-a --add "Only output add operations").required(false))
        .arg(arg!(-m --modify "Only output modify operations").required(false))
        .arg(arg!(-d --delete "Only output delete operations").required(false))
        .arg(
            Arg::new("test")
                .short('t')
                .long("test")
                .required(false)
                .value_names(["key", "val"])
                .number_of_values(2)
                .help("Add test case to json patch"),
        )
        .arg(
            arg!(-x --exclude <JSONPATH>... "Exclude json path from diff")
                .required(false)
                .conflicts_with("keys"),
        )
        .arg(
            arg!(-k --keys <JSONPATH>... "Only include the specified json paths in diff")
                .required(false)
                .conflicts_with("exclude"),
        )
        .get_matches()
}
